//------------------------------------------------------------------
//------------------------------------------------------------------
//-------Einfgen der Bibliotheken----------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
#define  F_CPU 3686400     // Taktfrequenz des myAVR-Boards
#include <avr/io.h>        // Grundbibliothek
#include <stdio.h>         // Bibliothek fr Sprnge ??
#include <avr/interrupt.h> // Interruptbibliothek
#include <E:\AVR_Programme\IR_fern\Bibliotheken\rc5.h>
//------------------------------------------------------------------
//------------------------------------------------------------------
//-------Variablendeklaration---------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
int sendefach=0;
int gesendete_bits;
int pwm_takt;
//------------------------------------------------------------------
//------------------------------------------------------------------
//-------Unterprogramme---------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
void initialisierung()
{
  //Ausgnge--------------------------------------------------------
  DDRB   |=  (1<<1);	   //B.1= Ausgang
  //Eingnge--------------------------------------------------------
  DDRB   &= ~(1<<2);	   //B.2= Eingang
  PORTB  |=  (1<<2);     // Pull up
}
//------------------------------------------------------------------
//------------------------------------------------------------------
//-------Hauptprogramm----------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------
int main (void)
{
  initialisierung();         // Aufruf Unterprogramm

  while(1)                   // Endlosschleife
  {
    if (bit_is_clear(PINB,2))
	  {
	    sendefach=0x3802;
    }

    
    if(sendefach>0)
	  {
      rc5_send(sendefach);
    }

    /*
    if(sendefach>0)
	  {
        while (gesendete_bits<14)
    	{
          for(pwm_takt=0;pwm_takt<=139;pwm_takt++)
          {
            if (pwm_takt<=69)
            {
		      if ((sendefach&0x2000)==0x2000)
		      {
                PORTB &=~(1<<1);    
		      }
		      else
		      {
                PORTB ^= (1<<1);
		      }
            }
            else
            {
              if ((sendefach&0x2000)==0x2000)
		      {
                PORTB ^= (1<<1);    
		      }
		      else
		      {
                PORTB &=~(1<<1);
		      }
            }
          }
		    gesendete_bits++;
        sendefach=(sendefach<<1);
        }
      sendefach=0;
	    gesendete_bits=0;
      }
   */
  }                         // Ende While (1)
}



